commit 406ed20c059b16710f44e190c2a16b0adef28dcc
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-03-05 13:56:25 +0100

    libgta: bump version to 1.0.5.

 libgta/CMakeLists.txt | 6 +++---
 libgta/configure.ac   | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 4970fe525a04ba8807f1c5e7bfd238c22d739268
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-03-05 13:51:15 +0100

    libgta: fix compilation with MinGW again, by choosing the right ftello/fseeko.
    
    Now, libgta uses ftello64/fseeko64 with MinGW 3.x, just like before commit
    0f1a6568d95d588e849a93891f7f29a4fd73f339.
    
    But with MinGW-W64 and with Visual Studio, _ftelli64/_fseeki64 are used.
    
    All of this only affects Windows systems.

 libgta/src/gta.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit bfe37d77517118a8e1c1ceaf2fdfb481db668c23
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-03-05 10:10:44 +0100

    libgta: fix compilation with MinGW

 libgta/src/gta.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 684ec36520455e04847e53525466a5fd93a3cabc
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-03-05 09:31:57 +0100

    libgta: improve clarity of code in gta_swap_component_endianness()

 libgta/src/gta.c | 21 ++++++---------------
 1 file changed, 6 insertions(+), 15 deletions(-)

commit f9a29a005ac3cf5d854224da0fa306e3b6d972cb
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-03-05 09:17:35 +0100

    libgta: fix ssize_t for 32-bit Visual Studio (no other platforms affected).

 libgta/src/gta.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f1a6568d95d588e849a93891f7f29a4fd73f339
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-03-04 16:16:24 +0100

    libgta: add support for building with Visual Studio 12 (2013).

 libgta/src/gta.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit 289e542c1c24d0b51d31de87e41172bb5040458d
Author: Martin Lambers <marlam@marlam.de>
Date:   2014-03-04 16:15:21 +0100

    libgta: add support for building with CMake as an alternative to autoconf

 libgta/CMakeLists.txt | 107 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/Makefile.am    |   4 +++-
 2 files changed, 110 insertions(+), 1 deletion(-)

commit e284a329ea5af955d05ffdad2cee848d9e61ed56
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-10-10 13:39:57 +0200

    libgta: update doxygen.in for latest doxygen.

 libgta/doc/doxyfile.in | 238 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------------------
 1 file changed, 168 insertions(+), 70 deletions(-)

commit b0197ccb6465ad990ee1947c6ac67e5235d82916
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-10-10 13:36:50 +0200

    libgta: update .gitignore for latest autotools.

 libgta/.gitignore | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

commit 391873b8b8eeb7f47934f8107a6313f16e613909
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-10 13:47:51 +0100

    libgta: make git ignore INSTALL

 libgta/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit e9cf13e0e94ece57621ac98bdda851f7232cf4c6
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-10 11:29:10 +0100

    libgta, gta: ignore build-aux/test-driver, created by newer autotools

 libgta/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit b5fe2116867f401416f9a06423ff6214782f7d5f
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-10 11:28:18 +0100

    libgta, gta: remove INSTALL; this is generated by autoconf

 libgta/INSTALL | 370 ---------------------------------------------------------------------------------------------------------------------------------------
 1 file changed, 370 deletions(-)

commit 6f8afb0f204b2eba3c291916dcf9b83a0f558754
Author: Martin Lambers <marlam@marlam.de>
Date:   2013-02-07 18:45:55 +0100

    libgta: enable parallel tests

 libgta/configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d458fbd2fb2ef6aee07f1fddff5cf13050b38828
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-08 18:02:13 +0100

    libgta: improve FindGTA.cmake.

 libgta/doc/FindGTA.cmake | 100 +++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------
 1 file changed, 51 insertions(+), 49 deletions(-)

commit a7650f5e7a69a182fa52295c1af75628aa470e54
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-08 16:50:54 +0100

    libgta: bump shared library version.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b034158df52ee97bac875a1c554da76c49b7142e
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-08 16:50:35 +0100

    libgta: bump version to 1.0.4.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3aac2de8af11f885c061113dd6b36e3b4c77494d
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-08 16:50:09 +0100

    libgta: avoid MinGW64 compiler warning about redefinitions.

 libgta/src/gta.c | 3 +++
 1 file changed, 3 insertions(+)

commit 302d008ea693ab5d1ba59b978b62b843d0aed289
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-12-08 16:48:55 +0100

    libgta: avoid test for _MSVC; use _MSC_VER instead.
    
    _MSVC is not defined with Visual Studio 2010 anymore.

 libgta/src/gta/gta.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 71a4b55c34fe31781be3141f19d50659882eb3b4
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-10-25 09:57:34 +0200

    libgta: update doxyfile.in, based on doxygen -u.

 libgta/doc/doxyfile.in | 356 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 259 insertions(+), 97 deletions(-)

commit f1028cd3482d42ba2b81956639b0f8efda09ad9d
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-02 22:09:50 +0200

    libgta: bump version to 1.0.3.

 libgta/configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0eb1768ba1fd3f11e9d64d1353c7388ddfdf2929
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-09-02 22:07:38 +0200

    libgta: distribute fuzztest.sh, required for 'make check'.

 libgta/tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dbee02e883257219f916d69402832620754618fd
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-08-24 20:05:06 +0200

    Remove files added by 'autoreconf -i', and cleanup .gitignore files.

 libgta/.gitignore             |   19 +
 libgta/Makefile.am            |    1 -
 libgta/build-aux/config.guess | 1530 -------------------
 libgta/build-aux/config.rpath |  104 +-
 libgta/build-aux/config.sub   | 1773 ----------------------
 libgta/build-aux/depcomp      |  688 ---------
 libgta/build-aux/install-sh   |  527 -------
 libgta/build-aux/ltmain.sh    | 9661 -----------------------------------------------------------------------------------------------------------------------
 libgta/build-aux/missing      |  331 -----
 libgta/m4/lib-ld.m4           |  109 --
 libgta/m4/lib-link.m4         |  777 ----------
 libgta/m4/lib-prefix.m4       |  224 ---
 libgta/m4/libtool.m4          | 8001 --------------------------------------------------------------------------------------------------
 libgta/m4/ltoptions.m4        |  384 -----
 libgta/m4/ltsugar.m4          |  123 --
 libgta/m4/ltversion.m4        |   23 -
 libgta/m4/lt~obsolete.m4      |   98 --
 17 files changed, 62 insertions(+), 24311 deletions(-)

commit d2408f74d01d2fc1c89762f593c9ee9e8070175d
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-08-24 19:27:59 +0200

    Remove unused symbol visibility stuff.

 libgta/m4/visibility.m4 | 77 -----------------------------------------------------------------------------
 libgta/src/Makefile.am  |  3 +--
 libgta/src/gta/gta.h    |  2 --
 3 files changed, 1 insertion(+), 81 deletions(-)

commit b0a84ac37f54c4500111e7c6a189d426b3d15cfe
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-05-01 16:42:02 +0200

    Update autotools files.

 libgta/INSTALL                |   9 ++++-
 libgta/build-aux/config.guess |  49 ++++++++++++++---------
 libgta/build-aux/config.sub   |  65 ++++++++++++++++++------------
 libgta/build-aux/depcomp      |  74 ++++++++++++++++++++++++++++++----
 libgta/build-aux/install-sh   |  29 +++++++++-----
 libgta/build-aux/ltmain.sh    |  95 +++++++++++++++++++++++++------------------
 libgta/build-aux/missing      |  53 ++----------------------
 libgta/m4/libtool.m4          | 264 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------
 libgta/m4/ltoptions.m4        |  19 ++++++++-
 libgta/m4/ltversion.m4        |  10 ++---
 10 files changed, 451 insertions(+), 216 deletions(-)

commit 346665dd668dfd759297ec25de9d7c54ecfab332
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-03-12 09:17:11 +0100

    libgta: add a FindGTA.cmake example to the documentation.

 libgta/doc/FindGTA.cmake | 56 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/doc/Makefile.am   |  2 +-
 2 files changed, 57 insertions(+), 1 deletion(-)

commit add3f0cc8eed6d860de5bae938ff1b4f5e59206e
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-27 14:02:22 +0100

    libgta: bump copyright years.

 libgta/src/gta.c       | 2 +-
 libgta/src/gta/gta.h   | 2 +-
 libgta/src/gta/gta.hpp | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit bb4923030a86c135640f3091b38924216bebef05
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-27 13:58:48 +0100

    libgta: bump version to 1.0.2.
    
    No library code was changed since 1.0.1, therefore LT_REVISION does not need to
    be bumped.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 40af4ddc8541789e53b83c9b572c19f71fa58200
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-27 13:34:16 +0100

    libgta: do not define OFF_MAX if it already is defined, e.g. on FreeBSD 9.0.

 libgta/src/gta.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 417b121e0f197d19f58f7cd0e6aa421ddcc81cc7
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-27 10:39:05 +0100

    libgta: make gta.hpp compatible with MS Visual Studio Express 2010.

 libgta/src/gta/gta.hpp | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit d03b048efc71f8b1ba00d5a0714f2fa5ce7bc4cb
Author: Martin Lambers <marlam@marlam.de>
Date:   2012-01-22 15:32:55 +0100

    libgta / gtatool: properly use DESTDIR in install-exec-hook.
    
    Reported by Volker Fröhlich.

 libgta/src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb9527838957cf32b197a2d4b76b370e19b1769e
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 10:35:11 +0100

    libgta: bump library version.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c402ca44b87d87ea212b535c005457ac6c387b23
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-11 10:35:01 +0100

    libgta: bump version to 1.0.1.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75528da918eb4b8073ac9077cf756e6a017d9da6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-09 06:42:03 +0100

    libgta: fuzz test: clean up when interrupted

 libgta/tests/fuzztest.sh | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit b267da1a7ff34e75b036abb0166d0abfb10e738d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-08 09:56:29 +0100

    libgta: remove unnecessary initialization from C++ interface

 libgta/src/gta/gta.hpp | 1 -
 1 file changed, 1 deletion(-)

commit a91fb02b02892beed9b88c654cf2aa61cfbd14b0
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-08 09:18:30 +0100

    libgta: check more code paths during fuzz tests

 libgta/Makefile.am            |   2 +-
 libgta/tests/fuzztest-check.c | 168 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------
 2 files changed, 136 insertions(+), 34 deletions(-)

commit 278990b35a3ebafe07e712b997ed4bc4c0bcf52b
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-08 07:11:14 +0100

    libgta: improve fuzztest.sh script.
    
    This allows concurrent runs of 'make fuzztest', e.g. for multicore machines.

 libgta/tests/fuzztest.sh | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 9d1f1e2858e41c4ed863be15217fdbb27b720661
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-08 06:52:19 +0100

    libgta: fix doxygen links to examples on front page.

 libgta/src/gta/gta.h | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit ffe2ce485756334aad3f1692eeceb06c76c63eab
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-07 23:01:55 +0100

    libgta: improve seeding of fuzz tester

 libgta/tests/fuzztest.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5dc0a5e92b67595730e84fff993ebd750259c5dd
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-07 22:57:13 +0100

    libgta: improve fuzz testing

 libgta/tests/fuzztest-check.c | 1 -
 1 file changed, 1 deletion(-)

commit f33984105653590258da27ea2a2806891b4b08d5
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-07 22:56:43 +0100

    libgta: improve fuzz testing

 libgta/tests/fuzztest-check.c | 38 ++++++++++++++++++++++----------------
 1 file changed, 22 insertions(+), 16 deletions(-)

commit b9ca9641cc06fdc13164fd4fe0d4f67e3139c15b
Author: Even Rouault <even.rouault@mines-paris.org>
Date:   2011-12-07 22:52:19 +0100

    libgta: fix invalid free (found by fuzz testing with fusil)

 libgta/src/gta.c | 1 +
 1 file changed, 1 insertion(+)

commit 9482187d0947a14712a1ce22354140fd2b6a87f1
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-07 22:41:06 +0100

    libgta: fix invalid free on corrupt input data (found with 'make fuzztest')

 libgta/src/gta.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a4546dc4c113aa457532a52fd1dad4ca6e783ede
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-07 22:39:51 +0100

    libgta: fix endless loop on empty elements (found with 'make fuzztest').

 libgta/src/gta.c | 5 +++++
 1 file changed, 5 insertions(+)

commit c5a51f906f114746de0283c6a62d9fd0394c49e8
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-07 22:34:32 +0100

    libgta: fuzz test: add test for element-wise io.

 libgta/tests/fuzztest-check.c | 37 ++++++++++++++++++++++++++++++++++++-
 1 file changed, 36 insertions(+), 1 deletion(-)

commit 2adea5d0d5850d3be096ce1c8595ced12ab0b6c7
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-07 22:09:46 +0100

    libgta: add fuzz testing capability ('make fuzztest')

 libgta/Makefile.am             |   3 ++
 libgta/tests/Makefile.am       |  17 ++++++++--
 libgta/tests/fuzztest-check.c  |  84 +++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/tests/fuzztest-create.c | 205 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/tests/fuzztest.sh       |  31 ++++++++++++++++++
 5 files changed, 338 insertions(+), 2 deletions(-)

commit 203ca8f336c6b385c620c082aaf3a68e88ab7ef7
Author: Even Rouault <even.rouault@mines-paris.org>
Date:   2011-12-07 06:03:11 +0100

    Fix NULL-pointer dereferences on invalid GTA files.
    
    This fixes segfaults on invalid GTA files created by corrupting valid GTA files
    with a hexadecimal editor.

 libgta/src/gta.c | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 53b6f9b1f609a7e30d2836cd077827b6b69140e3
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-04 17:03:33 +0100

    libgta: bump version to 1.0.0.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d265799d87f8b7add779ed669ae174b286e8ddfc
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-04 00:47:41 +0100

    libgta C++ interface: remove extra ';'

 libgta/src/gta/gta.hpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6160c3e78339c106234789e2bc5b5f548d8c3980
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-12-03 16:46:04 +0100

    libgta: disable valgrind in tests by default.

 libgta/configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8d0c97b2229042c03e30b4a51787a951624f19d2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-11-29 09:21:41 +0100

    libgta: update workaround for microsoft compilers.

 libgta/src/gta/gta.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6a7909a60dd0357e97f6054737dda6a4408bbd89
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-11-29 07:28:01 +0100

    libgta: define SSIZE_MAX if necessary (fixes building with mingw64).

 libgta/src/gta.c | 4 ++++
 1 file changed, 4 insertions(+)

commit edc388cb42e0180341ef7dea827fd88565918e09
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-11-09 16:45:12 +0100

    libgta: autotools update.

 libgta/build-aux/config.guess |  222 +++----
 libgta/build-aux/config.sub   |  159 +++--
 libgta/build-aux/ltmain.sh    | 3990 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-----------------------------------------
 libgta/m4/libtool.m4          | 2056 +++++++++++++++++++++++++++++++++++++------------------------
 libgta/m4/ltoptions.m4        |   13 +-
 libgta/m4/ltversion.m4        |   12 +-
 libgta/m4/lt~obsolete.m4      |   12 +-
 7 files changed, 4136 insertions(+), 2328 deletions(-)

commit 99885cd0bf6761069911392e3ed6862d05e3ad66
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 21:51:49 +0200

    Clean up packaging.

 libgta/Makefile.am | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit f694d482392e78e05589efe67c65c8c3d9670935
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 18:14:48 +0200

    libgta: bump version to 0.9.4.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f13f3d37051b0c34b71257f87f0f9210de47295f
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 15:59:35 +0200

    configure.ac: remove gl_EARLY (not used anymore).

 libgta/configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 4b0198c16d0c572e276e5abde0c59aba29ec3bfe
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 15:02:52 +0200

    libgta: sync files from latest gnulib, and cleanup.
    
    This removes unnecessary complexity added by gnulib-tool.

 libgta/build-aux/config.rpath | 104 ++++++++++++++++++++++++++++++++++++--------------------------
 libgta/configure.ac           |   1 -
 libgta/m4/00gnulib.m4         |  30 ------------------
 libgta/m4/gnulib-cache.m4     |  38 -----------------------
 libgta/m4/gnulib-common.m4    | 201 ------------------------------------------------------------------------------------------------------------------------
 libgta/m4/gnulib-comp.m4      | 194 -------------------------------------------------------------------------------------------------------------------
 libgta/m4/gnulib-tool.m4      |  57 ----------------------------------
 libgta/m4/lib-ld.m4           |  21 ++++++-------
 libgta/m4/lib-link.m4         |   9 ++++--
 libgta/m4/lib-prefix.m4       |   2 +-
 libgta/m4/visibility.m4       |  23 ++++++++------
 11 files changed, 91 insertions(+), 589 deletions(-)

commit cdad1d3d285a0c275ec87e62e476ea3f93708957
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-05-21 14:58:10 +0200

    libgta: re-rename libgta.pc to gta.pc.

 libgta/configure.ac     |  2 +-
 libgta/src/Makefile.am  |  2 +-
 libgta/src/gta.pc.in    | 19 +++++++++++++++++++
 libgta/src/libgta.pc.in | 19 -------------------
 4 files changed, 21 insertions(+), 21 deletions(-)

commit d95288c8a7a8371774d373d13874b148c0ebbc07
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-17 21:15:50 +0100

    libgta C++ interface: start exception messages with upper case.

 libgta/src/gta/gta.hpp | 122 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------------------------------------------------------------
 1 file changed, 61 insertions(+), 61 deletions(-)

commit 2c06488aa20e3a29da92ac8d68da0d1fdb80d1ee
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-17 12:52:35 +0100

    libgta: rename gta_init_*()/gta_deinit_*() to gta_create_*()/gta_destroy_*().

 libgta/doc/example-basic.c     |  8 ++++----
 libgta/doc/example-block-io.c  |  4 ++--
 libgta/doc/example-stream-io.c | 16 ++++++++--------
 libgta/doc/example-tags.c      |  4 ++--
 libgta/src/gta.c               | 84 ++++++++++++++++++++++++++++++++++++++++++------------------------------------------
 libgta/src/gta/gta.h           | 51 +++++++++++++++++++++++++--------------------------
 libgta/src/gta/gta.hpp         | 12 ++++++------
 libgta/tests/basic.c           |  4 ++--
 libgta/tests/blocks.c          |  4 ++--
 libgta/tests/compression.c     |  4 ++--
 libgta/tests/elements.c        | 24 ++++++++++++------------
 libgta/tests/endianness.c      | 12 ++++++------
 libgta/tests/filedescriptors.c |  4 ++--
 libgta/tests/taglists.c        |  4 ++--
 14 files changed, 117 insertions(+), 118 deletions(-)

commit 18f7ff84ba46db8c379a9c8b6c6dbb7dd69fcc05
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 15:25:23 +0100

    libgta: replace gta_iobuf_size with gta_max_chunk_size.
    
    Now gta_max_chunk_size is used consistently for data buffer sizes.

 libgta/src/gta.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit bb2c197a00edd301f7c1948de93f5f1b1eec2974
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 13:07:23 +0100

    libgta: remove unused automake conditional.

 libgta/configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit ea8f8897e391364130b53f458f29032c310dcfee
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 13:02:11 +0100

    libgta: update doxygen file to latest version.

 libgta/doc/doxyfile.in | 147 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 113 insertions(+), 34 deletions(-)

commit eadbe5274bf5c18c301fe8e096660f98b9c1552c
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 12:31:30 +0100

    libgta: limit buffer size for element-wise input.
    
    If an array is smaller than the max chunk size, do not allocate a buffer with
    the max chunk size.

 libgta/src/gta.c | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit c732dfa8c090948c921129e440fc3d58e4af9771
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 09:28:57 +0100

    libgta: free the element io buffer early.
    
    This frees the buffer as soon as it will not be needed anymore. This may save
    some memory in some use cases.

 libgta/src/gta.c | 44 ++++++++++++++++++++++++++++----------------
 1 file changed, 28 insertions(+), 16 deletions(-)

commit 160e5c2ce4d491978964e33804602118039be98d
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 09:20:09 +0100

    libgta: improve pkg-config .pc file handling.

 libgta/configure.ac     |  2 +-
 libgta/src/Makefile.am  |  2 +-
 libgta/src/gta.pc.in    | 19 -------------------
 libgta/src/libgta.pc.in | 19 +++++++++++++++++++
 4 files changed, 21 insertions(+), 21 deletions(-)

commit 3fe015b65f5b19e1cdf92cb21d9cd5eec3f18938
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 09:15:22 +0100

    Update copyright information for 2011.

 libgta/Makefile.am              | 3 ++-
 libgta/configure.ac             | 3 ++-
 libgta/doc/Makefile.am          | 3 ++-
 libgta/doc/doxyfile.in          | 3 ++-
 libgta/src/Makefile.am          | 3 ++-
 libgta/src/gta.c                | 3 ++-
 libgta/src/gta.pc.in            | 3 ++-
 libgta/src/gta/gta.h            | 3 ++-
 libgta/src/gta/gta_version.h.in | 3 ++-
 libgta/tests/Makefile.am        | 3 ++-
 libgta/tests/basic.c            | 3 ++-
 libgta/tests/blocks.c           | 3 ++-
 libgta/tests/compression.c      | 3 ++-
 libgta/tests/elements.c         | 3 ++-
 libgta/tests/endianness.c       | 3 ++-
 libgta/tests/filedescriptors.c  | 3 ++-
 libgta/tests/taglists.c         | 3 ++-
 17 files changed, 34 insertions(+), 17 deletions(-)

commit 54a4ff98242fc10bc9475bde112383b2c145f5a1
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-16 09:11:06 +0100

    libgta: add buffering to element-based io of uncompressed GTAs.
    
    This should improve performance, especially when small elements are read or
    written one at a time.

 libgta/src/gta.c | 185 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------
 1 file changed, 122 insertions(+), 63 deletions(-)

commit 932da7ba403c2986e1ed83621beeb99768a5d0c2
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-03-08 10:00:50 +0100

    Update website and bug report address.

 libgta/README       | 2 +-
 libgta/configure.ac | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit d258b930baf56cd2ea9fc8e93a348f4652fc19ad
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-26 09:26:28 +0100

    C++ interface: re-add throw specifications for exception::what().

 libgta/src/gta/gta.hpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f409ea729ec1df73a6f11755821773a3e87e7f43
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-26 09:23:50 +0100

    C++ interface: remove throw specifications.

 libgta/src/gta/gta.hpp | 218 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++----------------------------------------------------------------
 1 file changed, 109 insertions(+), 109 deletions(-)

commit dbf21fb21ad720ad9bbd80d0f196952297e87581
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-26 09:20:12 +0100

    C++ interface: prevent the use of taglists independent of headers.

 libgta/src/gta/gta.hpp | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 33aa3785fd53afad72ee2fa5e28e14333938fee6
Author: Martin Lambers <marlam@marlam.de>
Date:   2011-01-25 18:25:39 +0100

    C++ interface: Improve handling of tag lists.

 libgta/src/gta/gta.hpp | 97 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 71 insertions(+), 26 deletions(-)

commit b2525646dc1342ca8b020b12780582b98169db6e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-29 16:01:32 +0200

    Improve check for off_t overflow.

 libgta/src/gta.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit a296516ed8b3dc5f2508c0f3bc7d28a8e81380aa
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-22 16:27:17 +0200

    Bump version to 0.9.3.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d1347c9614829b1a5aab1cb3c8a378ffcc596113
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-17 11:24:38 +0200

    Improve configure output.
    
    List all missing packages at once. Give the user a hint about which packages to
    install, at least for Debian-based systems.

 libgta/configure.ac | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 7c1039d2cbc547963e1a9164fd65ea68587f963e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-17 09:37:32 +0200

    Retain compatibility with libgta versions <= 0.9.2.

 libgta/src/gta.c | 5 +++++
 1 file changed, 5 insertions(+)

commit ef13389a7be674207ce2de9a58dbe6154c90f941
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-15 15:24:12 +0200

    Compression-related fixes:
    
    - Get rid of gta_data_is_chunked(). Replace calls to this function with
      get_get_compression(h) != GTA_NONE tests.
    - Fix prototype of gta_get_compression().
    - Add tests for GTA_ZLIB1 .. GTA_ZLIB9 compression methods.

 libgta/src/gta.c           |  45 +++++++++++----------------------
 libgta/src/gta/gta.h       |  34 ++++++++-----------------
 libgta/src/gta/gta.hpp     |  20 +++------------
 libgta/tests/basic.c       |   2 +-
 libgta/tests/compression.c | 170 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 libgta/tests/taglists.c    |   2 +-
 6 files changed, 198 insertions(+), 75 deletions(-)

commit 46ad6849dcf7793d650a7e2936c95f9361d4c77b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-08-15 13:48:59 +0200

    Enable reading of GTAs with compression method GTA_ZLIB1 .. GTA_ZLIB9.

 libgta/src/gta.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 7464f8e6ad21a7d72f36fdaccdbe5446181c839e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-07-04 16:41:56 +0200

    Gnulib update to 2010-07-04.

 libgta/m4/lib-link.m4 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0ac7881ded75326f8fbb42f8b01466a76e02c25b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-26 12:58:18 +0200

    Improve documentation, and add more examples.

 libgta/doc/Makefile.am           |  4 +++-
 libgta/doc/example-basic.cpp     | 17 ++++++-----------
 libgta/doc/example-block-io.c    | 65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/doc/example-block-io.cpp  | 45 +++++++++++++++++++++++++++++++++++++++++++++
 libgta/doc/example-stream-io.c   | 99 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/doc/example-stream-io.cpp | 52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/src/gta/gta.h             | 20 ++++++++++++++++----
 7 files changed, 286 insertions(+), 16 deletions(-)

commit 8672500cbe4ca3b9352de083a7e3ebffdc672b9a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-25 13:37:35 +0200

    Fix typo in comments.

 libgta/src/gta.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2259d5dc7acbc7f56b22ff782a38013c367e65ef
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-25 11:30:32 +0200

    Improve handling of doxygen-generated files.
    
    Avoid using the wildcard '*', use '$(wildcard ...)' instead.

 libgta/doc/Makefile.am | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit f0926327a491bac23389be0a8f933c33128b00fb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-25 11:04:50 +0200

    Distribute the example files.

 libgta/doc/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fbc59e70d6ea928518fb18ca3b3f96ab1b7346fe
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-25 11:01:18 +0200

    Add examples for using tags.

 libgta/doc/Makefile.am      |   3 ++-
 libgta/doc/example-tags.c   | 107 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/doc/example-tags.cpp |  70 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/src/gta/gta.h        |  17 +++++++++++++----
 4 files changed, 192 insertions(+), 5 deletions(-)

commit bc93607be7e9edfc91c01cf3460696f4e44922af
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-25 10:21:52 +0200

    Cleanup examples, and improve handling of doxygen.
    
    The example files were renamed in preparation of additional examples.
    
    The autotools handling of the doxygen documentation does not include an explicit
    list of doxygen-generated files anymore, because that seems to change with every
    release of doxygen.

 libgta/doc/Makefile.am       |  57 ++++++++----------------------------------------------
 libgta/doc/example-basic.c   | 127 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/doc/example-basic.cpp |  70 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/doc/example.c         | 127 -------------------------------------------------------------------------------------------------------------------------
 libgta/doc/example.cpp       |  70 -------------------------------------------------------------------
 libgta/src/gta/gta.h         |  12 ++++++------
 6 files changed, 211 insertions(+), 252 deletions(-)

commit 2bd4c47030161038d2c93f49f5adf4430c590836
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-25 10:20:54 +0200

    Remove erroneous doxygen tag.

 libgta/src/gta/gta.hpp | 1 -
 1 file changed, 1 deletion(-)

commit 35164bc53f2b5bc9ab3cf02ebc6ceef8d040d22e
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-24 15:58:56 +0200

    Bump version to 0.9.2.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b06f9cefeee324435980bff797626376639231d9
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-24 15:57:49 +0200

    Add the new index conversion functions to the C++ interface.

 libgta/src/gta/gta.hpp | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit ae15bce0ff7743907371d3c2e324f7fe7872949f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-24 15:45:38 +0200

    Add test for element-based io.

 libgta/tests/Makefile.am |   3 ++-
 libgta/tests/elements.c  | 153 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 155 insertions(+), 1 deletion(-)

commit a73766460c032890a9e7ef1cc070974981e7796a
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-24 15:44:58 +0200

    Add functions to convert between array indices and linear index.

 libgta/src/gta.c     | 35 ++++++++++++++++++++++++++---------
 libgta/src/gta/gta.h | 20 ++++++++++++++++++++
 2 files changed, 46 insertions(+), 9 deletions(-)

commit ce5584ded91b6ef1fb701dd66905715a8ae2e925
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-24 15:43:59 +0200

    Remove endianness test temporary file.

 libgta/tests/endianness.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4c028c1033b36a8ce656790c9c9545fff6b73cc
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-10 20:58:05 +0200

    Update gnulib. Local changes are not required anymore.

 libgta/m4/gnulib-common.m4 |  8 +++++++-
 libgta/m4/lib-link.m4      | 34 +++++++++++++++++-----------------
 2 files changed, 24 insertions(+), 18 deletions(-)

commit df7a3422a138edb11f3c9fd3a078887de7d73feb
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-07 09:00:55 +0200

    Update doxyfile.in (using doxygen -u).

 libgta/doc/doxyfile.in | 1364 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------
 1 file changed, 751 insertions(+), 613 deletions(-)

commit b408212e76a710b0f228dafc572e14e4937c5b59
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 16:01:39 +0200

    Improve README.

 libgta/README | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6b70558e106d0280cc8db3afdb1260c3c8558e2b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 15:58:28 +0200

    Add an initial README text.

 libgta/README | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit bcca864642e73d13a4567da6f1c1896c3ded0684
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-06 15:56:18 +0200

    Move the specification out of libgta and into its own directory.

 libgta/configure.ac          |  11 ---
 libgta/doc/Makefile.am       |  14 +--
 libgta/doc/fdl.tex           | 585 -------------------------------------------------------------------------------------------------------------------------
 libgta/doc/specification.tex | 376 ------------------------------------------------------------------------------
 libgta/src/gta/gta.h         |   2 +-
 5 files changed, 2 insertions(+), 986 deletions(-)

commit c8316b0b956656383dd0caf8baf8e25bae6374cc
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 13:39:39 +0200

    Rename get_compression() to compression(), for consistency.

 libgta/src/gta/gta.hpp | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b1cbdff6347d29f623415efc1967ed9a618a0795
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-06-05 12:53:15 +0200

    Install the .la file only for static builds.
    
    Make the installation of the .la file configurable, and disable it by default
    if a shared library is built. See the comments in src/Makefile.am for an
    explanation.

 libgta/configure.ac    |  5 +++++
 libgta/src/Makefile.am | 21 ++++++++++-----------
 2 files changed, 15 insertions(+), 11 deletions(-)

commit 11ee5be9d4936fa924b4ba0a9467dec12b9556bf
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-16 10:09:06 +0200

    Improve exception messages in the libgta C++ interface.

 libgta/src/gta/gta.hpp | 175 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---------------------------------------------------------------------
 1 file changed, 80 insertions(+), 95 deletions(-)

commit 725b13db43ecce40ef5866a6df706ba199bb3c4f
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-15 19:35:05 +0200

    Fix replacement for off_t on W32.

 libgta/src/gta.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a669992a4efadf94b0e1f3497232c3ad7f2af57
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 11:07:18 +0200

    Bump version to 0.9.1 due to API changes.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 72f309c088eb50ea293cbfd490040051d03039ea
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 11:06:40 +0200

    Update specification.

 libgta/doc/specification.tex | 28 +++++++++++++++++++---------
 1 file changed, 19 insertions(+), 9 deletions(-)

commit 7f4166a05d95fb14e6848065b6851a6e79099b72
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 11:06:04 +0200

    Fix stupid typo in last commit.

 libgta/src/gta.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 269fdfb144a250b73791ceb26ce0f8fa328ed9c8
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-14 11:02:02 +0200

    Allow control of the ZLIB compression level, and add a function to query the compression level of a GTA.

 libgta/src/gta.c       | 39 +++++++++++++++++++++++++++++++++++++--
 libgta/src/gta/gta.h   | 28 +++++++++++++++++++++++++---
 libgta/src/gta/gta.hpp | 28 +++++++++++++++++++++++++---
 3 files changed, 87 insertions(+), 8 deletions(-)

commit cc5b5bda75845302cac348464d595c6e325f8da0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-07 18:58:13 +0200

    Fix static linking with liblzma on W32.

 libgta/src/gta.c | 3 +++
 1 file changed, 3 insertions(+)

commit 747e84f56a18453029df4b71f94b44e0bbdb00d0
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-07 11:06:42 +0200

    Make sure that 'make mydist' produces an archive with the right permissions.

 libgta/Makefile.am | 6 ++++++
 1 file changed, 6 insertions(+)

commit 69966848d064e6a38c327601ed33e778c7ec63b4
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-06 12:50:20 +0200

    Improve comment about UTF-8 for tag names and values.

 libgta/src/gta/gta.h   | 4 +++-
 libgta/src/gta/gta.hpp | 5 ++++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 0d58f0187457c71ad989bb2b7639fc7526d087b5
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-05 22:50:53 +0200

    Update doxygen comments for the reference main page.

 libgta/src/gta/gta.h | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 43daa3d841419f2ac0578aefec1c506fafa693b1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-05-02 14:46:47 +0200

    Add URL to AC_INIT call.

 libgta/configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de0be1babeb22863076b07b48fc33178233a7b2b
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-29 22:08:09 +0200

    Add URL field to pkg-config file.

 libgta/src/gta.pc.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 200c444364490708ad06324bbb9f5526eb783d53
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-29 22:06:57 +0200

    Do not install the libgta.la file, and document the reasons for this decision.

 libgta/src/Makefile.am | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 34b3d1404ae521d622d514d8b143163c6386bbc1
Author: Martin Lambers <marlam@marlam.de>
Date:   2010-04-27 08:43:29 +0200

    Initial import

 libgta/AUTHORS                  |    1 +
 libgta/COPYING                  |  504 +++++++
 libgta/ChangeLog                |    3 +
 libgta/INSTALL                  |  365 ++++++
 libgta/Makefile.am              |   15 +
 libgta/NEWS                     |    0
 libgta/README                   |    0
 libgta/build-aux/config.guess   | 1501 +++++++++++++++++++++
 libgta/build-aux/config.rpath   |  672 ++++++++++
 libgta/build-aux/config.sub     | 1705 ++++++++++++++++++++++++
 libgta/build-aux/depcomp        |  630 +++++++++
 libgta/build-aux/install-sh     |  520 ++++++++
 libgta/build-aux/ltmain.sh      | 8406 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/build-aux/missing        |  376 ++++++
 libgta/configure.ac             |  130 ++
 libgta/doc/Makefile.am          |   78 ++
 libgta/doc/doxyfile.in          | 1423 ++++++++++++++++++++
 libgta/doc/example.c            |  127 ++
 libgta/doc/example.cpp          |   70 +
 libgta/doc/fdl.tex              |  585 +++++++++
 libgta/doc/specification.tex    |  366 ++++++
 libgta/m4/00gnulib.m4           |   30 +
 libgta/m4/gnulib-cache.m4       |   38 +
 libgta/m4/gnulib-common.m4      |  195 +++
 libgta/m4/gnulib-comp.m4        |  194 +++
 libgta/m4/gnulib-tool.m4        |   57 +
 libgta/m4/lib-ld.m4             |  110 ++
 libgta/m4/lib-link.m4           |  774 +++++++++++
 libgta/m4/lib-prefix.m4         |  224 ++++
 libgta/m4/libtool.m4            | 7357 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/m4/ltoptions.m4          |  368 ++++++
 libgta/m4/ltsugar.m4            |  123 ++
 libgta/m4/ltversion.m4          |   23 +
 libgta/m4/lt~obsolete.m4        |   92 ++
 libgta/m4/visibility.m4         |   74 ++
 libgta/src/Makefile.am          |   16 +
 libgta/src/gta.c                | 4115 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 libgta/src/gta.pc.in            |   18 +
 libgta/src/gta/gta.h            | 1360 +++++++++++++++++++
 libgta/src/gta/gta.hpp          | 2097 +++++++++++++++++++++++++++++
 libgta/src/gta/gta_version.h.in |   32 +
 libgta/tests/Makefile.am        |   30 +
 libgta/tests/basic.c            |  211 +++
 libgta/tests/big-endian.gta     |  Bin 0 -> 2449 bytes
 libgta/tests/blocks.c           |  156 +++
 libgta/tests/compression.c      |  175 +++
 libgta/tests/endianness.c       |  418 ++++++
 libgta/tests/filedescriptors.c  |  137 ++
 libgta/tests/little-endian.gta  |  Bin 0 -> 2370 bytes
 libgta/tests/taglists.c         |  230 ++++
 50 files changed, 36131 insertions(+)
